For the complete documentation index, see llms.txt. This page is also available as Markdown.

CreateResourceGroup

1. 接口描述

本接口(CreateResourceGroup)用于创建一个资源组信息。

2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

参数名称
必选
类型
描述

name

是

String

资源组名称。

3. 响应结果

参数名称
类型
描述

requestId

String

唯一请求 ID。

每次请求都会返回。定位问题时需要提供该次请求的 requestId。

resourceGroupId

String

资源组唯一ID。

name

String

资源组名称。

createTime

String

创建时间。

4. 代码示例

  1. 创建资源组

POST /api/v2/user HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateResourceGroup
<Common Request Params>

Request:
{
     "name": "ResourceGroupName"
}

Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
         "resourceGroupId": "ResourceGroupId",
         "createTime": "2022-09-08T12:00:00Z",
         "name": "ResourceGroupName"
        ]
    }
}

5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的开发工具集(SDK),未来会陆续支持更多开发语言,方便快速接入和使用Zenlayer的产品和服务。

6. 错误码

下面包含业务逻辑中遇到的错误码,其他错误码见公共错误码

HTTP状态码
错误码
说明

400

RESOURCE_GROUP_NAME_VALID

资源组名称不能为空或长度超过限制。

404

RESOURCE_GROUP_NOT_FOUND

指定的资源组不存在。

最后更新于